internal::is_element_of< Q, N, Tuple > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::is_element_of< Q, N, Tuple >:

## Public Types

typedef tbb::flow::tuple_element< N-1, Tuple >::type | T_i

## Static Public Attributes

static const bool | value = tbb::internal::is_same_type<Q,T_i>::value || is_element_of<Q,N-1,Tuple>::value

## Detailed Description

### template<class Q, size_t N, class Tuple>
struct internal::is_element_of< Q, N, Tuple >

Definition at line 570 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## T_i

template<class Q , size_t N, class Tuple >

typedef tbb::flow::tuple_element<N-1, Tuple>::type internal::is_element_of< Q, N, Tuple >::T_i

Definition at line 571 of file _flow_graph_types_impl.h.

## Member Data Documentation

## value

template<class Q , size_t N, class Tuple >

const bool internal::is_element_of< Q, N, Tuple >::value = tbb::internal::is_same_type<Q,T_i>::value || is_element_of<Q,N-1,Tuple>::value

static

Definition at line 572 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.